#!/bin/sh

J=$1
M=$2
I=$3

psql -F '	' -A -q -t abr <<EOF
	SELECT
	r.rid,	-- Rechnungs ID
	r.mid,	-- Mitarbeiternummer
	e.name,	-- Mitarbeitername
	e.ort,	-- Mitarbeiter Wohnort
	k.kname,	-- Kundenname
	r.weg, 	-- Reiseweg
	k.land,	-- Reiseland
	r.begt,  -- Reisebeginn
	r.endt,	-- Reiseende
	(date_part('day', r.endt)>date_part('day', r.begt)) AS datw, -- Datumswechsel
	date_part('hour', r.endt-r.begt) AS dauer,  -- Reisedauer Absolut ohne Datumswechsel
		-- Stunden zw. Anfang u 2400
	date_part('day',r.endt-date_trunc('day',r.begt+'1d')) AS tage,
	date_part('hour',date_trunc('day',r.begt+'1d')-r.begt) AS anfh,
	date_part('hour',r.endt) AS enth,
	r.ueb, 
	r.nek, 
	r.net, 
	r.bem,
	p.lt14, 
	p.lt24, 
	p.eq24, 
	p.un, 
	p.stkm, 
	p.plkm,
	r.flg
	FROM reise r, emp e, kunden k, pausch p WHERE
	r.mid = e.mid AND
	p.gbegt <= r.endt  AND
	p.gendt >= r.endt AND
	k.land = p.land AND
	endt < ('${M} 01 00:00:00 ${J} CEST'::Datetime+'1 mon'::timespan) AND
	endt > ('${M} 01 00:00:00 ${J} CEST'::Datetime) AND
	r.mid = ${I} AND
	r.kid = k.kid AND
	rid > 0;
EOF
